website:
  name: Etsy Shop (KappClass)
  base_url: https://www.etsy.com
  type: etsy_shop
etsy:
  shop_name: KappClass
  shop_url: https://www.etsy.com/shop/KappClass
  rss_url: https://www.etsy.com/shop/KappClass/rss
  max_pages: 200
crawling:
  mode: html
  start_urls:
  - https://www.etsy.com/shop/KappClass
  pagination:
    enabled: true
    selector: a[href*="page="], a[data-page], .pagination a[rel="next"], button[data-page]
    max_pages: 200
  follow_links: false
selectors:
  product_container: div.js-merch-stash-check-listing.v2-listing-card[data-listing-id],
    div[data-listing-id].v2-listing-card, div.js-merch-stash-check-listing[data-listing-id]
  title: h3.v2-listing-card__title, a.listing-link::attr(title), .v2-listing-card__title
  price: div.n-listing-card__price span.currency-value, .n-listing-card__price .currency-value,
    span.currency-value
  image: div.v2-listing-card__img img, a.listing-link img[src*="etsystatic.com"],
    .v2-listing-card__img img[src*="etsystatic.com"]
  link: a.listing-link[href*="/listing/"], a[href*="/listing/"][data-listing-link]
  description: a.listing-link::attr(title)
  sku: div.js-merch-stash-check-listing::attr(data-listing-id), a.listing-link::attr(data-listing-id),
    [data-listing-id]::attr(data-listing-id)
rate_limiting:
  delay: 1.0
  download_delay: 1.0
  concurrent_requests: 1
headers:
  User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML,
    like Gecko) Chrome/120.0.0.0 Safari/537.36
  Accept: text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8
features:
  requires_javascript: false
  api_endpoints: []
  custom_middleware: []
proxies:
  enabled: false  # Tắt proxy để test trước, bật lại nếu bị block
  list:
    # NOTE: Free proxies thường không ổn định
    # Thay thế bằng proxy thật nếu có
    # Format: http://ip:port hoặc http://user:pass@ip:port
    # Ví dụ:
    # - http://123.45.67.89:8080
    # - http://user:pass@proxy.example.com:8080
  mode: rotate
notes: Detected Etsy shop. Crawling from shop page HTML with pagination to get all
  products.
export:
  domain_slug: etsy-com-kappclass
